package com.xhpc.activity.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface XhpcDeviceMessageMapper {

    List<Map<String, Object>> selectListByTypeAndSerialNumber(
                                                              @Param("serialNumber")String serialNumber,
                                                                @Param("startTime") String startTime,
                                                              @Param("endTime") String endTime);


    List<Map<String, Object>> selectListByParams(@Param("params")Map params);


    List<Map<String, Object>> selectListByChargeOrderNo(@Param("chargeOrderNo") String chargeOrderNo);



    List<Map<String, Object>> getOrderMessageByParams(@Param("params")Map params);


    int deleteMessageByDate(@Param("date")String date);

    int addXhpcDeviceMessage(@Param("chargeOrderNo") String chargeOrderNo);

    String getXhpcPlaceholderOrder();

    int updateXhpcPlaceholderOrder(@Param("serialNumber") String serialNumber);

    int addXhpcDeviceMessageGunStatus(@Param("chargeOrderNo") String chargeOrderNo ,@Param("gunNumber") String gunNumber);
}
